gr::lte::sync_frequency_c Class Reference

Calculate fractional frequency offset. More...

`#include <sync_frequency_c.h>`

Inheritance diagram for gr::lte::sync_frequency_c:
[legend]

## Public Types

typedef boost::shared_ptr< sync_frequency_c > | sptr

## Static Public Member Functions

static sptr | make (boost::shared_ptr< gr::analog::sig_source_c > &sig, int fftl, std::string name="sync_frequency_c")
| Return a shared_ptr to a new instance of lte::sync_frequency_c.

## Detailed Description

Calculate fractional frequency offset.

This block calculates FFO by correlating CPs and sets the frequency of a signal source block.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<sync_frequency_c> gr::lte::sync_frequency_c::sptr

## Member Function Documentation

## make()

static sptr gr::lte::sync_frequency_c::make | ( | boost::shared_ptr< gr::analog::sig_source_c > & | sig,
|  | int | fftl,
|  | std::string | name = "sync_frequency_c" )

static

Return a shared_ptr to a new instance of lte::sync_frequency_c.

To avoid accidental use of raw pointers, lte::sync_frequency_c's constructor is in a private implementation class. lte::sync_frequency_c::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- sync_frequency_c.h